/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVTrainings.css
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */

/**
# --------------------------------
# Component
*/

.cv-trainings {
    border-radius: 5px 5px 5px 0;
}

/**
# --------------------------------
# Title
*/

.cv-trainings-title {
    display: flex;

    flex:  1 1 auto;
    flex-direction: column;

    margin-bottom: 20px;

    align-items: center;
    justify-content: center;

    font-size: 20px;
    font-weight: bold;
}

/**
# --------------------------------
# Item (Formation)
*/

.cv-trainings-item {
    display: block;
    margin: 10px 0;
}

.cv-trainings-item-title {
    display: flex;
}

.cv-trainings-item-title-separator {
    margin: 0 5px;
    font-weight: bold;
}

.cv-trainings-item-date {
    font-weight: bold;
    color: var(--shiros-cv-element-trainings-item-date-color);
}

.cv-trainings-item-name {
    font-weight: bold;
}

.cv-trainings-item-location {
    font-weight: lighter;
    font-style: italic;
}

.cv-trainings-item-informations {
    display: flex;
    flex-direction: column;

    margin-left: 10px;
    padding: 0 5px;

    border: 0;
    border-left: 2px solid var(--shiros-cv-element-trainings-item-information-border-color);
}

.cv-trainings-item-information {
    font-style: normal;
}

p.cv-trainings-item-information {
    margin: 0;
    padding: 0;
}

ul.cv-trainings-item-information {
    margin: 0;
    padding: 0 15px;
}

.cv-trainings-item-additional-information {
    font-style: italic;
}
